Bug 799009 - Warn to syslog when dereference requests fail
Warn to syslog when dereference requests fail
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
6.3
Unspecified Unspecified
low Severity unspecified
: rc
: ---
Assigned To: Jakub Hrozek
Kaushik Banerjee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-01 09:54 EST by Stephen Gallagher
Modified: 2013-05-30 13:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: sssd-1.9.1-1.el6
Doc Type: Bug Fix
Doc Text:
Do not document
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:20:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2012-03-01 09:54:08 EST
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1213

In some cases, the dereference search might fail - for example if the server incorrectly advertizes deref support or if the attribute we try to dereference is not a DN.

SSSD should fall back to individual lookups in this case. The hard part is picking the errors that would be non-fatal for the search. "Protocol error" and "Server refused to perform" might be a good start.
Comment 1 Stephen Gallagher 2012-03-01 09:54:33 EST
This is not really a bug in SSSD so much as a misconfiguration on the server. The original report was failing because someone had changed the OID on the LDAP member attribute so that it did not report as a DN.

We should just write a descriptive error message to the syslog in this case, so the administrator is aware that there is a problem on the LDAP server.
Comment 2 RHEL Product and Program Management 2012-07-10 01:49:47 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 RHEL Product and Program Management 2012-07-10 22:04:37 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 5 Kaushik Banerjee 2013-01-23 05:43:18 EST
Verified in version 1.9.2-74

/var/log/messages shows:
Jan 23 12:31:25 dhcp201-200 sssd[be[LDAP]]: dereference processing failed : Invalid argument

Domain log shows:
(Wed Jan 23 12:31:25 2013) [sssd[be[LDAP]]] [sdap_nested_group_process_deref_step] (0x0400): Missing data past threshold, doing a full deref
(Wed Jan 23 12:31:25 2013) [sssd[be[LDAP]]] [sdap_deref_search_send] (0x2000): Server supports OpenLDAP deref
(Wed Jan 23 12:31:25 2013) [sssd[be[LDAP]]] [sdap_x_deref_search_send] (0x0400): Dereferencing entry [cn=Group_02,ou=Groups,dc=example,dc=com] using OpenLDAP deref
(Wed Jan 23 12:31:25 2013) [sssd[be[LDAP]]] [sdap_get_generic_ext_step] (0x0400): calling ldap_search_ext with [no filter][cn=Group_02,ou=Groups,dc=example,dc=com].
(Wed Jan 23 12:31:25 2013) [sssd[be[LDAP]]] [sdap_process_message] (0x4000): Message type: [LDAP_RES_SEARCH_ENTRY]
(Wed Jan 23 12:31:25 2013) [sssd[be[LDAP]]] [sdap_x_deref_parse_entry] (0x0400): Got deref control
(Wed Jan 23 12:31:25 2013) [sssd[be[LDAP]]] [sdap_parse_deref] (0x1000): Dereferenced DN: uid=kuser2
(Wed Jan 23 12:31:25 2013) [sssd[be[LDAP]]] [sdap_parse_deref] (0x0080): Dereferenced entry [uid=kuser2] has no attributes
(Wed Jan 23 12:31:25 2013) [sssd[be[LDAP]]] [sdap_x_deref_parse_entry] (0x0040): sdap_parse_deref failed [22]: Invalid argument
(Wed Jan 23 12:31:25 2013) [sssd[be[LDAP]]] [sdap_get_generic_ext_done] (0x0020): reply parsing callback failed.
(Wed Jan 23 12:31:25 2013) [sssd[be[LDAP]]] [sdap_x_deref_search_done] (0x0100): sdap_get_generic_ext_recv failed [22]: Invalid argument
(Wed Jan 23 12:31:25 2013) [sssd[be[LDAP]]] [sdap_deref_search_done] (0x0040): dereference processing failed [22]: Invalid argument
(Wed Jan 23 12:31:25 2013) [sssd[be[LDAP]]] [sdap_nested_done] (0x0020): Nested group processing failed: [22][Invalid argument]
(Wed Jan 23 12:31:25 2013) [sssd[be[LDAP]]] [sdap_id_op_done] (0x4000): releasing operation connection
(Wed Jan 23 12:31:25 2013) [sssd[be[LDAP]]] [acctinfo_callback] (0x0100): Request processed. Returned 3,22,Group lookup failed
Comment 6 errata-xmlrpc 2013-02-21 04:20:09 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html

Note You need to log in before you can comment on or make changes to this bug.